Subject: bug#31325: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame

From: Drew Adams <[email-masked]>
Date: Sun, 1 Jul 2018 13:17:25 -0700 (PDT)

Sorry, but I've not been following this bug thread.
I took only a (very) quick look at it, at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31325.

It looks like you are changing the default behavior of
`recenter', which is a backward-incompatible change.

Am I right about that, so that all Lisp calls of that
function would now need to be changed, to add a non-nil
2nd arg in order to keep the same behavior?

The reported bug was only about a problem for Emacs in
a terminal, right?  Can't it just be fixed to DTRT in
that case, without changing so much in the definition
and behavior of the function?

Apologies if I misunderstood something.  I really only
glanced at the thread.  But if what thought I saw is
right, is this really the right fix?

The behavior of `recenter' has remained pretty much
unchanged since, well, _forever_.  And when I came up
with `recenter-top-bottom' the idea was explicitly
_not_ to change the behavior of `recenter'.

And in the old days people used Emacs mainly (and
originally, only) in the terminal.  Why is the terminal
behavior suddenly considered to be bugged?  Or given
that it is bugged - is changing the default behavior
the best fix?

Please ignore, if my understanding is wrong or my
comments on this are not helpful.